E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ServerProtocol::Text Class Referenceabstract

An interface used by ServerProtocol to provide response text strings. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Text:

## Public Member Functions
virtual std::string | greeting () const =0
virtual std::string | hello (const std::string &smtp_peer_name) const =0
virtual std::string | received (const std::string &smtp_peer_name, bool a, bool s) const =0

## Detailed Description

An interface used by ServerProtocol to provide response text strings.

Definition at line 76 of file gserverprotocol.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.cpp